plugins {
    id 'org.springframework.boot'
    id 'java'
}

dependencies {
    // DB 변경시 변경
    implementation project(':infrastructure-db-postgres')

    // DB (테스트용)
    runtimeOnly 'com.h2database:h2'

    // Spring
    implementation 'org.springframework.boot:spring-boot-starter-web'
    implementation 'org.springframework.boot:spring-boot-starter-data-jpa'

    // OpenAPI
    implementation 'org.springdoc:springdoc-openapi-starter-webmvc-ui:2.5.0'

    // QueryDSL
    implementation "com.querydsl:querydsl-jpa:5.0.0:jakarta"

    // Lombok
    compileOnly 'org.projectlombok:lombok'
    annotationProcessor 'org.projectlombok:lombok'

    // Devtools
    developmentOnly 'org.springframework.boot:spring-boot-devtools'

    // QueryDSL APT
    annotationProcessor "com.querydsl:querydsl-apt:5.0.0:jakarta"
    annotationProcessor "jakarta.annotation:jakarta.annotation-api"
    annotationProcessor "jakarta.persistence:jakarta.persistence-api"

    // Test
    testImplementation 'org.springframework.boot:spring-boot-starter-test'
}

bootJar {
    archiveFileName = 'ROOT.jar'
}